Package Scientific :: Package Visualization :: Module VRML :: Class Arrow

[frames] | no frames]

# Class Arrow

    Group --+
            |
           Arrow

Arrow

An arrow consists of a cylinder and a cone.

Instance Methods

__init__(self, point1, point2, radius, **attr) |

Inherited from `Group`: `__add__`, `__coerce__`, `__getitem__`, `__len__`, `writeToFile`

Class Variables
Inherited from `Group`: `is_group`

Method Details

### __init__(self, point1, point2, radius, **attr)
(Constructor)

Parameters:
  - `point1` (Scientific.Geometry.Vector) - starting point of the arrow
  - `point2` (Scientific.Geometry.Vector) - the tip of the arrow
  - `radius` (positive number) - the radius of the shaft
  - `attr` - graphics attributes as keyword parameters
Overrides: Group.__init__